<div class="row justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2 id="jhi-area-heading" data-cy="AreaCreateUpdateHeading" jhiTranslate="madmApp.area.home.createOrEditLabel">
        Create or edit a Area
      </h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        <div class="form-group" [hidden]="editForm.get('id')!.value == null">
          <label class="form-control-label" jhiTranslate="global.field.id" for="field_id">ID</label>
          <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
        </div>

        <div class="form-group">
          <label class="form-control-label" jhiTranslate="madmApp.area.codArea" for="field_codArea">Cod Area</label>
          <input type="text" class="form-control" name="codArea" id="field_codArea" data-cy="codArea" formControlName="codArea" />
        </div>

        <div class="form-group">
          <label class="form-control-label" jhiTranslate="madmApp.area.descricao" for="field_descricao">Descricao</label>
          <input type="text" class="form-control" name="descricao" id="field_descricao" data-cy="descricao" formControlName="descricao" />
        </div>

        <div class="form-group">
          <label class="form-control-label" jhiTranslate="madmApp.area.solicitacao" for="field_solicitacao">Solicitacao</label>
          <select class="form-control" id="field_solicitacao" data-cy="solicitacao" name="solicitacao" formControlName="solicitacao">
            <option [ngValue]="null"></option>
            <option
              [ngValue]="
                solicitacaoOption.id === editForm.get('solicitacao')!.value?.id ? editForm.get('solicitacao')!.value : solicitacaoOption
              "
              *ngFor="let solicitacaoOption of solicitacaosCollection; trackBy: trackSolicitacaoById"
            >
              {{ solicitacaoOption.id }}
            </option>
          </select>
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
      </div>
    </form>
  </div>
</div>
